> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Actualizar Detalles del Puerto

PUT https://api.megaport.com/v2/product/{productUid}
Content-Type: application/json

Actualiza la información configurable del Puerto.

Proporcione el `productUid` para identificar el Puerto. Use el punto final `/v2/product` para determinar el `productUid`.

**Nota:** Solo puede actualizar un producto cuando su estado de aprovisionamiento es `CONFIGURED` o `LIVE`.

Reference: https://es.megaport.ferndocs.com/es/api-reference/ports/update-port-details

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Path parameters

- `productUid` (string, required)

### Body (application/json)

This endpoint expects an object.

- `costCentre` (string, optional)
- `marketplaceVisibility` (boolean, optional)
- `name` (string, optional)

## Response

### 200

Actualizar Detalles del Puerto / Actualizar Detalles del Puerto

- `data` (V2ProductProductUidPutResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2ProductProductUidPutResponsesContentApplicationJsonSchemaData

- `aLocation` (any, optional, nullable)
- `aLocationId` (any, optional, nullable)
- `accountManager` (any, optional, nullable)
- `adminContactId` (any, optional, nullable)
- `adminContactName` (any, optional, nullable)
- `adminLocked` (boolean, optional)
- `aggregationId` (any, optional, nullable)
- `attributeTags` (V2ProductProductUidPutResponsesContentApplicationJsonSchemaDataAttributeTags, optional)
- `attributes` (list of any, optional)
- `bLocation` (any, optional, nullable)
- `bLocationId` (any, optional, nullable)
- `bgpShutdownDefault` (boolean, optional)
- `billableId` (double, optional)
- `billableUsageAlgorithm` (any, optional, nullable)
- `billingContactId` (any, optional, nullable)
- `billingContactName` (any, optional, nullable)
- `buyoutPort` (boolean, optional)
- `companyId` (double, optional)
- `companyName` (string, optional)
- `components` (list of any, optional)
- `configuredDate` (double, optional)
- `contractStartDate` (any, optional, nullable)
- `contractTermMonths` (double, optional)
- `costCentre` (string, optional)
- `createDate` (double, optional)
- `createdBy` (string, optional)
- `currentEstimatedDelivery` (any, optional, nullable)
- `errorMessage` (any, optional, nullable)
- `inAdvanceBillingStatus` (any, optional, nullable)
- `intercapPath` (any, optional, nullable)
- `lagPrimary` (boolean, optional)
- `locked` (boolean, optional)
- `market` (string, optional)
- `marketplaceVisibility` (boolean, optional)
- `maximumSpeed` (any, optional, nullable)
- `minimumSpeed` (any, optional, nullable)
- `name` (string, optional)
- `nonPayerCompanyId` (any, optional, nullable)
- `payerCompanyId` (any, optional, nullable)
- `productType` (string, optional)
- `promptUid` (any, optional, nullable)
- `provisioningItems` (list of any, optional)
- `provisioningStatus` (string, optional)
- `rateLimit` (double, optional)
- `rateType` (string, optional)
- `requestedDate` (double, optional)
- `salesId` (any, optional, nullable)
- `salesName` (any, optional, nullable)
- `secondaryName` (any, optional, nullable)
- `serviceName` (string, optional)
- `tags` (list of any, optional)
- `technicalContactId` (any, optional, nullable)
- `technicalContactName` (any, optional, nullable)
- `technicalServiceId` (double, optional)
- `technicalServiceUid` (string, optional)
- `terminationDate` (any, optional, nullable)
- `trialAgreement` (boolean, optional)
- `virtual` (boolean, optional)
- `vxcAutoApproval` (boolean, optional)
- `vxcDistanceBand` (any, optional, nullable)
- `vxcPermitted` (boolean, optional)

### V2ProductProductUidPutResponsesContentApplicationJsonSchemaDataAttributeTags

## Examples

**Request**

```json
{
  "costCentre": "My Cost Center",
  "marketplaceVisibility": true,
  "name": "My Los Angeles API Port"
}
```

**Response**

```json
{
  "data": {
    "aLocation": null,
    "aLocationId": null,
    "accountManager": null,
    "adminContactId": null,
    "adminContactName": null,
    "adminLocked": false,
    "aggregationId": null,
    "attributeTags": {},
    "attributes": [],
    "bLocation": null,
    "bLocationId": null,
    "bgpShutdownDefault": false,
    "billableId": 69740,
    "billableUsageAlgorithm": null,
    "billingContactId": null,
    "billingContactName": null,
    "buyoutPort": false,
    "companyId": 1153,
    "companyName": "Megaport Lab",
    "components": [],
    "configuredDate": 1605041762403,
    "contractStartDate": null,
    "contractTermMonths": 1,
    "costCentre": "My Cost Center",
    "createDate": 1605041737760,
    "createdBy": "52a26471-94de-4d32-b89e-0cd5d26c1f65",
    "currentEstimatedDelivery": null,
    "errorMessage": null,
    "inAdvanceBillingStatus": null,
    "intercapPath": null,
    "lagPrimary": false,
    "locked": false,
    "market": "USA",
    "marketplaceVisibility": true,
    "maximumSpeed": null,
    "minimumSpeed": null,
    "name": "My Los Angeles API Port",
    "nonPayerCompanyId": null,
    "payerCompanyId": null,
    "productType": "MEGAPORT",
    "promptUid": null,
    "provisioningItems": [],
    "provisioningStatus": "LIVE",
    "rateLimit": 1000,
    "rateType": "MONTHLY",
    "requestedDate": 1605041737760,
    "salesId": null,
    "salesName": null,
    "secondaryName": null,
    "serviceName": "My Los Angeles API Port",
    "tags": [],
    "technicalContactId": null,
    "technicalContactName": null,
    "technicalServiceId": 70659,
    "technicalServiceUid": "7b60c0b4-46d4-4427-91db-bc87f59b935e",
    "terminationDate": null,
    "trialAgreement": false,
    "virtual": false,
    "vxcAutoApproval": false,
    "vxcDistanceBand": null,
    "vxcPermitted": true
  },
  "message": "El producto [7b60c0b4-46d4-4427-91db-bc87f59b935e] ha sido actualizado",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/product/productUid"

payload = {
    "costCentre": "My Cost Center",
    "marketplaceVisibility": True,
    "name": "My Los Angeles API Port"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/product/productUid';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"costCentre":"My Cost Center","marketplaceVisibility":true,"name":"My Los Angeles API Port"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/product/productUid"

	payload := strings.NewReader("{\n  \"costCentre\": \"My Cost Center\",\n  \"marketplaceVisibility\": true,\n  \"name\": \"My Los Angeles API Port\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/product/productUid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"costCentre\": \"My Cost Center\",\n  \"marketplaceVisibility\": true,\n  \"name\": \"My Los Angeles API Port\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.megaport.com/v2/product/productUid")
  .header("Content-Type", "application/json")
  .body("{\n  \"costCentre\": \"My Cost Center\",\n  \"marketplaceVisibility\": true,\n  \"name\": \"My Los Angeles API Port\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.megaport.com/v2/product/productUid', [
  'body' => '{
  "costCentre": "My Cost Center",
  "marketplaceVisibility": true,
  "name": "My Los Angeles API Port"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/product/productUid");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"costCentre\": \"My Cost Center\",\n  \"marketplaceVisibility\": true,\n  \"name\": \"My Los Angeles API Port\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "costCentre": "My Cost Center",
  "marketplaceVisibility": true,
  "name": "My Los Angeles API Port"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/product/productUid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```